#include <map>
#include <set>
#include <list>
#include <cmath>
#include <ctime>
#include <deque>
#include <queue>
#include <stack>
#include <string>
#include <bitset>
#include <cstdio>
#include <limits>
#include <vector>
#include <climits>
#include <cstring>
#include <cstdlib>
#include <fstream>
#include <numeric>
#include <sstream>
#include <cassert>
#include <iomanip>
#include <iostream>
#include <algorithm>
#include <stdio.h>
#include <fstream>
#include <unordered_map>
using namespace std;

typedef long long ll;
typedef long double ld;

#define all(x) x.begin(),x.end()
#define pb push_back
#define ent "\n"

#define int long long

const int maxn = (int)3e5 + 13;
const ll inf = (long long)1e18 + 20;
const int mod = (int)1e9 + 7;

int n,m;
int a[maxn];
map<int,int>mp;

void solve(){
	cin >> n >> m;
	int cnt = 0;
	set<int>s;
	for(int i = 1 ; i <= m ; i ++){
		cin >> a[i];
		int x = a[i];
		mp[x] ++;
		s.insert(a[i]);
	}
	vector<int>v;
	for(auto to : s){
		if(mp[to] >= n){
			v.pb(to);
		}
	}
	cout << v.size() << ent;
	for(auto to :v){
		cout << to << ' ';
	}
}

signed main(){
	ios_base::sync_with_stdio(0);
	cin.tie(0);
	int t = 1;
	//cin >> t;
	while(t --){
		solve();
	}
	return 0;
}